#!/bin/sh

FILE=phd.glo

echo -n "" > ${FILE}.tmp
for LINE in `cat $FILE | tr ' ' '^' | tr '\t' '^'` ; do
    LINE=`echo -n "$LINE" | tr '^' ' ' | tr -s ' '`
    TER=`echo -n "$LINE" | cut -d '{' -f 2 | cut -d '}' -f 1`
    if (( `echo -n "$TER" | wc -c ` > 17 )) ; then echo "Too long word $TER" ; fi
    echo "$TER" >> ${FILE}.tmp
done

sort --ignore-case --unique --output=${FILE}.tmp2 ${FILE}.tmp

echo -n "" > $FILE
for LINE in `cat ${FILE}.tmp2 | tr ' ' '^' | tr '\t' '^'` ; do
    LINE=`echo -n "$LINE" | tr '^' ' ' | tr -s ' '`
    echo " \\item[$LINE] \\hspace{1mm} --- \\hspace{1mm} " >> $FILE
done

rm -rf ${FILE}.tmp ${FILE}.tmp2
