#!/bin/sh

REFS=`cat phd_07.tex | grep "bibitem{" | cut -f 2 -d '{' | cut -f 1 -d '}'`

for ref in $REFS ; do
    if ! ( cat phd*.tex | grep -v "bibitem{$ref}" | grep -w "$ref" >&/dev/null ) ; then echo "$ref not found" ; fi
    if ! ( cat phd*.tex | grep -v "bibitem{$ref}" | grep "cite{$ref}" >&/dev/null ) ; then
	echo ""
	echo "    $ref    `cat phd*.tex | grep -v \"bibitem{$ref}\" | grep -v \"cite{$ref}\" | grep -w \"$ref\"`"
	echo ""
    fi
done
